<script type="text/javascript">
    function InputHelperIn ( obj, text )
	{
	    //если при фокусе значение поля равно значению подсказки, то чистим его и вешаем стили
		if ( obj.value == text )
		{
		    jQuery( obj ).css ( { color: '#000', fontStyle: 'normal' } ) .val ( '' );
		}
	}
	
	function InputHelperOut ( obj, text )
	{
	    //если при потере фокуса значение поля равно пустоте или значению по умолчанию,
            //то пихаем в него текст подсказки и вешаем стили подсказки
		if ( obj.value == '' || obj.value == text )
		{
		    jQuery( obj ) .css ( { color: '#b3b3b3', fontStyle: 'italic' } ).val ( text );
		}
	}
	
	function InputHelperCreate ( obj, text )
	{
	    //вешаем на поле эвенты. На фокус и потерю фокуса.
		jQuery( obj )
			.bind ( 'focus', function () {
				InputHelperIn ( this, text );
			} )
			.bind ( 'blur', function () {
				InputHelperOut ( this, text );
			} );
			
		//первоначальный инит
		InputHelperOut ( obj, text );
	}

    jQuery( document ).ready ( function () {
        jQuery('#table').html('Loading data ...');
        jQuery.ajax({  
            type: "POST",  
            url: "<?php echo WP_PLUGIN_URL; ?>/wpspin/ajax.php", 
            data: "synonym=1",
            success: function(get) {
                jQuery('#table').html(get);
            }
        });
	    InputHelperCreate ( jQuery( '#word' ).get(0), 'Word' );
	    InputHelperCreate ( jQuery( '#synonym' ).get(0), 'Synonym' );
	} );
    
    function Add() {
        var word    = jQuery( '#word' ).val();
        var synonym = jQuery( '#synonym' ).val();
        if( word    == '' || word == 'Word' )       { alert('Please insert word!');    return false; }
        if( synonym == '' || synonym == 'Synonym' ) { alert('Please insert synonym!'); return false; }
        //jQuery('#table tbody>tr:last').clone(true).insertAfter('#table tbody>tr:last');
        //jQuery('#table').clone(true).insertAfter('#table').html('<tr align="center"><td>'+word+'</td><td>'+synonym+'</td></tr>');
        jQuery.ajax({  
            type: "POST",  
            url: "<?php echo WP_PLUGIN_URL; ?>/wpspin/ajax.php", 
            data: "synonym=1&mode=add&w="+word+"&s="+synonym,
            success: function(get) {
                jQuery('#table').html(get);
            }
        });
        jQuery( '#word' ).val(''); 
        InputHelperCreate ( jQuery( '#word' ).get(0), 'Word' );
        jQuery( '#synonym' ).val(''); 
        InputHelperCreate ( jQuery( '#synonym' ).get(0), 'Synonym' );
        jQuery('#notfound').html('');
    }
    
</script>

<center><br><input type='text' id='word'> <input type='text' id='synonym'> <input type='button' id='add' value='Add synonym' style='width:120px' onclick='Add();'>
<br><br><br>

<style type="text/css"> @import url("<?php echo WP_PLUGIN_URL; ?>/wpspin/css/table.css"); </style>
<div id='table'></div>